package com.dxhy.common.jwt;

/**
 * @author jiaohongyang
 * @date 2019年3月26日 下午5:52:43
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
public interface IJWTInfo {
    /**
     * 获取用户名
     * 
     * @return 用户名称
     */
    String getUserName();

    /**
     * 获取用户ID
     * 
     * @return 用户id
     */
    String getId();

    /**
     * 获取名称
     * 
     * @return 登录名
     */
    String getLoginName();

    /**
     * 获取用户信息 存json
     * 
     * @return 用户信息
     */
    String getUserInfo();

}
